# class DBus::ASystemBus

# D-Bus system bus class¶ ↑

The system bus is a system-wide bus mostly used for global or system usages.

Use `SystemBus`, the non-singleton `ASystemBus` is for the test suite.

### Public Class Methods

new() click to toggle source

Get the default system bus.

Calls superclass method `DBus::Connection::new`

        # File lib/dbus/bus.rb
    655 def initialize
    656   super(SystemSocketName)
    657   send_hello
    658 end